Problema "make": installaz. pacchetti con i file header del kernel in uso per connessione internet

8 risposte [Ultimo messaggio]
Ritratto di rim67
rim67
(Junior)
Offline
Junior
Iscritto: 21/01/2009
Messaggi: 10

Salve a tutti,
Il mio kernel è:
suse_11.1@linux-exgs:~&gt; uname -a<br />Linux linux-exgs 2.6.27.7-9-default #1 SMP 2008-12-04 18:10:04 +0100 i686 i686 i386 GNU/Linux<br />suse_11.1@linux-exgs:~&gt;
sto cercando di configurare la connessione a internet con modem Motorola sm56, per questo ho usato scanModem.gz.
questo è l'output di scanModem:
suse_11.1@linux-exgs:~&gt;gunzip scanModem.gz<br />suse_11.1@linux-exgs:~&gt;chmod +x scanModem<br />suse_11.1@linux-exgs:~&gt;cd scanModem<br />suse_11.1@linux-exgs:~/scanModem&gt; ./scanModem<br />UPDATE=2008_11_06<br /> Continuing as this update is only -41 weeks old,<br /> but the current Update is always at: http://linmodems.technion.ac.il<br />Identifying PCI bus slots with candidate modems.<br />Running PCIbus cases<br />Analysing card in PCI bus 00:03.0, writing to scanout.00:03.0<br />Analysing card in PCI bus 07:00.0, writing to scanout.07:00.0<br />Analysing card in PCI bus 00:1b.0, writing to scanout.00:1b.0<br />Using scanout.07:00.0 data, and writing guidance to ModemData.txt<br />Writing DOCs/Intel.txt<br />Read DOCs/Smartlink.txt<br />Writing DOCs/Smartlink.txt<br />Using scanout.00:03.0 data, and writing guidance to ModemData.txt<br />Using scanout.00:1b.0 data, and writing guidance to ModemData.txt<br /><br /> Writing residual guidance customized to your System.<br />gcc-4.3 make kernel-devel-2.6.27.7-9-default<br />   A subfolder Modem/  has been written,  containing these files with more detailed Information: <br /> ------------------------------------------------------------------------------------------<br /> 1stRead.txt       Bootup.txt     dmesg.txt        DOCs<br />DriverCompiling.txt  ModemData.txt  scanout.00:03.0  scanout.00:1b.0<br />scanout.07:00.0      tmp<br />    and in the DOCs subfolder:<br /> DriverCompiling.txt  InfoGeneral.txt  Intel.txt    Rational.txt<br />Smartlink.txt       SoftModem.txt    Testing.txt  UNSUBSCRIBE.txt<br />wvdial.txt           YourSystem.txt<br />-------------------------------------------------------------------------------------------<br />       Please read 1stRead.txt first for Guidance.<br /><br /><br />suse_11.1@linux-exgs:~/scanModem&gt;
questo è il file ModemData.txt:
 Only plain text email is forwarded by the  Discuss@Linmodems.org List Server,<br /> as HTML can contain viruses. Use as the email Subject Line:<br />           YourName, YourCountry  kernel 2.6.27.7-9-default <br /> With this Subject Line cogent experts will be alerted, and useful case names left in the Archive.<br /> YourCountry will enable Country specific guidance. Linux experts in YourCountry <br /> can be found through: http://www.linux.org/groups/index.html.<br />They will know your Country&#039;s modem code, which may be essential for dialup service.<br />Responses from Discuss@Linmodems.org are sometimes blocked by an Internet Provider mail filters.<br /> So in a day, also check the Archived responses at http://www.linmodems.org <br />--------------------------  System information ----------------------------<br />CPU=i686,  <br />Linux version 2.6.27.7-9-default (geeko@buildhost) (gcc version 4.3.2 [gcc-4_3-branch revision 141291] (SUSE Linux) ) #1 SMP 2008-12-04 18:10:04 +0100<br /> scanModem update of:  2008_11_06<br /><br /> There are no blacklisted modem drivers in /etc/modprobe*  files <br />Attached USB devices are:<br /> ID 1d6b:0001 Linux Foundation 1.1 root hub<br /> ID 1d6b:0001 Linux Foundation 1.1 root hub<br /> ID 1d6b:0001 Linux Foundation 1.1 root hub<br /> ID 04f2:0403 Chicony Electronics Co., Ltd KU-0420 keyboard<br /> ID 04d9:0499 Holtek Semiconductor, Inc. <br /> ID 1d6b:0001 Linux Foundation 1.1 root hub<br /> ID 1d6b:0001 Linux Foundation 1.1 root hub<br /> ID 1d6b:0001 Linux Foundation 1.1 root hub<br /> ID 090c:1000 Feiya Technology Corp. Memory Bar<br /> ID 058f:6362 Alcor Micro Corp. Hi-Speed 21-in-1 Flash Card Reader/Writer (Internal/External)<br /> ID 1d6b:0002 Linux Foundation 2.0 root hub<br /> ID 1d6b:0002 Linux Foundation 2.0 root hub<br /><br />USB modems not recognized<br /><br />For candidate card in slot 00:03.0, firmware information and bootup diagnostics are:<br /> PCI slot       PCI ID          SubsystemID     Name<br /> ----------   ---------       ---------       --------------<br /> 00:03.0    8086:29c4       8086:5044       Communication controller: Intel Corporation 82G33/G31/P35/P31 Express MEI Controller <br /><br /> Modem interrupt assignment and sharing: <br /> --- Bootup diagnostics for card in PCI slot 00:03.0 ----<br />PCI: 0000:00:03.0 reg 10 64bit mmio: [93225900, 9322590f]<br />pci 0000:00:03.0: PME# supported from D0 D3hot D3cold<br />pci 0000:00:03.0: PME# disabled<br />PCI: 0000:03:00.0 reg 10 io port: [2018, 201f]<br />PCI: 0000:03:00.0 reg 14 io port: [2024, 2027]<br />PCI: 0000:03:00.0 reg 18 io port: [2010, 2017]<br />PCI: 0000:03:00.0 reg 1c io port: [2020, 2023]<br />PCI: 0000:03:00.0 reg 20 io port: [2000, 200f]<br />PCI: 0000:03:00.0 reg 24 32bit mmio: [93100000, 931001ff]<br />pci 0000:03:00.0: supports D1<br />pci 0000:03:00.0: PME# supported from D0 D1 D3hot<br />pci 0000:03:00.0: PME# disabled<br />pata_marvell 0000:03:00.0: PCI INT A -&gt; GSI 17 (level, low) -&gt; IRQ 17<br />pata_marvell 0000:03:00.0: setting latency timer to 64<br /><br /> The PCI slot 00:03.0 of the modem card may be disabled early in <br /> a bootup process,  but then enabled later. If modem drivers load <br /> but the  modem is not responsive, read DOCs/Bootup.txt about possible fixes.<br /> Send dmesg.txt along with ModemData.txt to discuss@linmodems.org<br /> if help is needed.<br /> <br /><br />For candidate card in slot 07:00.0, firmware information and bootup diagnostics are:<br /> PCI slot   PCI ID          SubsystemID     Name<br /> ----------   ---------       ---------       --------------<br /> 07:00.0    1057:3052       1057:3020       Modem: Motorola SM56 Data Fax Modem <br /><br /> Modem interrupt assignment and sharing: <br /> 21:      16688      16682   IO-APIC-fasteoi   ata_piix, ata_piix, uhci_hcd:usb3<br /> --- Bootup diagnostics for card in PCI slot 07:00.0 ----<br />PCI: 0000:07:00.0 reg 10 32bit mmio: [9300c000, 9300cfff]<br />PCI: 0000:07:00.0 reg 14 io port: [1000, 10ff]<br />pci 0000:07:00.0: PME# supported from D0 D3hot D3cold<br />pci 0000:07:00.0: PME# disabled<br />serial 0000:07:00.0: PCI INT A -&gt; GSI 21 (level, low) -&gt; IRQ 21<br />0000:07:00.0: ttyS5 at I/O 0x1008 (irq = 21) is a 16450<br />0000:07:00.0: ttyS6 at I/O 0x1010 (irq = 21) is a 8250<br />0000:07:00.0: ttyS7 at I/O 0x1018 (irq = 21) is a 16450<br />0000:07:00.0: ttyS1 at I/O 0x1020 (irq = 21) is a 8250<br />0000:07:00.0: ttyS2 at I/O 0x1028 (irq = 21) is a 8250<br />0000:07:00.0: ttyS3 at I/O 0x1060 (irq = 21) is a 8250<br /><br /> The PCI slot 07:00.0 of the modem card may be disabled early in <br /> a bootup process,  but then enabled later. If modem drivers load <br /> but the  modem is not responsive, read DOCs/Bootup.txt about possible fixes.<br /> Send dmesg.txt along with ModemData.txt to discuss@linmodems.org<br /> if help is needed.<br /> <br /><br />For candidate card in slot 00:1b.0, firmware information and bootup diagnostics are:<br /> PCI slot    PCI ID          SubsystemID     Name<br /> ----------   ---------       ---------       --------------<br /> 00:1b.0    8086:293e       8086:0001       Audio device: Intel Corporation 82801I <br /><br /> Modem interrupt assignment and sharing: <br /> 22:        956        955   IO-APIC-fasteoi   HDA Intel, 0000:07:01.0<br /> --- Bootup diagnostics for card in PCI slot 00:1b.0 ----<br />PCI: 0000:00:1b.0 reg 10 64bit mmio: [93220000, 93223fff]<br />pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold<br />pci 0000:00:1b.0: PME# disabled<br />HDA Intel 0000:00:1b.0: PCI INT A -&gt; GSI 22 (level, low) -&gt; IRQ 22<br />HDA Intel 0000:00:1b.0: setting latency timer to 64<br /><br /> The PCI slot 00:1b.0 of the modem card may be disabled early in <br /> a bootup process,  but then enabled later. If modem drivers load <br /> but the  modem is not responsive, read DOCs/Bootup.txt about possible fixes.<br /> Send dmesg.txt along with ModemData.txt to discuss@linmodems.org<br /> if help is needed.<br /> <br /><br /><br />===== Advanced Linux Sound Architecture (ALSA) diagnostics ===== <br />The ALSA packages provide audio support and also drivers for some modems.<br />ALSA diagnostics are written during bootup to /proc/asound/ folders.<br /><br />The ALSA verion is 1.0.17<br />The modem cards detected by &quot;aplay -l&quot;  are: None<br /><br /><br />The /proc/asound/pcm file reports:<br />-----------------------<br />00-02: ALC888 Analog : ALC888 Analog : capture 1<br />00-01: ALC888 Digital : ALC888 Digital : playback 1 : capture 1<br />00-00: ALC888 Analog : ALC888 Analog : playback 1 : capture 1<br /><br />about /proc/asound/cards:<br />------------------------<br /> 0 [Intel          ]: HDA-Intel - HDA Intel<br />                      HDA Intel at 0x93220000 irq 22<br /><br /> PCI slot 00:1b.0 has a High Definition Audio Card<br /> The drivers are in the kernel modules tree at:<br /> /lib/modules/2.6.27.7-9-default/kernel/sound/pci/hda/snd-hda-intel.ko<br />=== Finished firmware and bootup diagnostics, next deducing cogent software. ===<br /><br />Predictive  diagnostics for card in bus 07:00.0:<br />      Modem chipset  detected on<br />NAME=&quot;Modem: Motorola SM56 Data Fax Modem &quot;<br />CLASS=0703<br />PCIDEV=1057:3052<br />SUBSYS=1057:3020<br />IRQ=21<br />IDENT=slamr<br /><br /> For candidate modem in:  07:00.0<br />   0703 Modem: Motorola SM56 Data Fax Modem <br />      Primary device ID:  1057:3052<br /> Support type needed or chipset:    slamr<br /> <br /><br />----------------end Softmodem section --------------<br /><br />Writing DOCs/Intel.txt<br /><br /> 1057:3052 has a Motorola chipset, poorly supported by Motorola itself<br /> However Zello discovered that drivers written to support Smartlink  modems do support the 1057:3052 chipset!!<br /> It sufficed to add 1057:3052 to the list of modem cards recognized by the Smartlink slamr driver.<br /> There is a ungrab-winmodem driver used in conjunction with slamr, which must have 1057:3052<br /> similarly added. See messages from Zello:<br />    http://linmodems.technion.ac.il/bigarch/archive-seventh/msg00846.html<br />     http://linmodems.technion.ac.il/bigarch/archive-seventh/msg00848.html<br /> and Alvaro Aguirre about the ungrab-winmodem fix:<br />     http://linmodems.technion.ac.il/bigarch/archive-seventh/msg00990.html<br /> For general guidance on ungrab-winmodem + slamr usage, read the DOCs/Smartlink.txt<br /><br />The modem is supported by the Smartlink <br />plus the slmodemd helper utility.  Read the<br />DOCs/Smartlink.txt and Modem/DOCs/YourSystem.txt for follow through guidance.<br /><br /><br />For 2.6.27.7-9-default compiling drivers is necessary. As of October 2007 the current packages at<br />http://linmodems.technion.ac.il/packages/smartlink/  are the<br />ungrab-winmodem-20070505.tar.gz and slmodem-2.9.11-20080126.tar.gz<br /><br />Writing DOCs/Smartlink.txt<br />============ end Smartlink section =====================<br /><br /><br />Predictive  diagnostics for card in bus 00:03.0:<br /> Modem chipset not detected on<br />NAME=&quot;Communication controller: Intel Corporation 82G33/G31/P35/P31 Express MEI Controller &quot;<br />CLASS=0780<br />PCIDEV=8086:29c4<br />SUBSYS=8086:5044<br />IRQ=11<br /><br /> For candidate modem in:  00:03.0<br />   0780 Communication controller: Intel Corporation 82G33/G31/P35/P31 Express MEI Controller <br />      Primary device ID:  8086:29c4<br /> Support type needed or chipset:        <br /> <br /><br />----------------end Softmodem section --------------<br /><br />scanModem could not identify the Support Type needed from diagnosics or archives.<br />      If an alternative boot into Microsoft windows can be done, do mouse<br />clicks on:<br />   Start &gt; Settings &gt; Control Panel &gt; Classical View (for Window XP) &gt; System<br />&gt; Hardware &gt; Device Manager &gt; Modems &gt; Click on the + &gt; Modem. Double click to<br />expand the graphic. Manufacturer information may be displayed. For example, CXT<br />stands for Conexant. Click the Diagnostics Tab. Record any hardware ID or vendor<br />and device information.<br />Next do the Query Modem and record the ATI specifications displayed such as:<br />    ATI3 - Agere SoftModem Version 2.1.22<br />    ATI5 - 2.1.22, AMR Intel MB, AC97 ID:SIL REV:0x27<br />Try to identify the modem setup file, with name perhaps MODEM.INF.<br />If may contain chipset Vendor informaton.<br /><br /><br /><br />Predictive  diagnostics for card in bus 00:1b.0:<br />  Modem chipset not detected on<br />NAME=&quot;Audio device: Intel Corporation 82801I &quot;<br />CLASS=0403<br />PCIDEV=8086:293e<br />SUBSYS=8086:0001<br />IRQ=22<br />HDA=8086:293e<br />SOFT=8086:293e.HDA<br /><br /><br /> High Definition Audio (HDA) cards MAY host a modem chip in their Subsystem, <br /> and many are supported by the ALSA audio+modem driver snd-hda-intel<br /> A modem was not detected on HDA card 8086:293e.<br /> If another modem card is present, then most likely 8086:293e does not host a modem.<br /> If another modem card has not been detected, then possibilities are:<br />        1) A Conexant modem chip is present on 8086:293e, as Conexant chips<br /> are frequently not detectable by ALSA diagnostics<br />       2) The modem may be of the older non-PCI Controller Chipset (hardware) type.<br />Try detection with Root permission:<br />      wvdialconf  /etc/wvdial.conf<br /><br /> For candidate modem in:  00:1b.0<br />   0403 Audio device: Intel Corporation 82801I <br />      Primary device ID:  8086:293e<br />    Subsystem PCI_id  8086:0001 <br />    Softmodem codec or chipset from diagnostics: <br />                               from    Archives: <br />                        <br />      <br /><br />Support type needed or chipset:       <br /><br />Support can likely be achieved through two mutually exclusive alternatives:<br />1) The hsfmodem software for Conexant chipset modems: Read DOCs/Conexant.txt<br />The following ALSA alternative CANNOT work with Conexant modems.<br /><br />2) An ALSA modem driver plus slmodemd.  Read DOCs/Smartlink.txt for details, and<br />to test get the package SLMODEMD.gcc4.3.tar.gz from:  <br />   http://linmodems.technion.ac.il/packages/smartlink/<br /><br />----------------end Softmodem section --------------<br /><br /> Completed candidate modem analyses.<br /><br /> The base of the UDEV device file system is: /dev/.udev<br /><br /> The kernel was compiled with gcc version 4.3.2 and a compiler is not installed<br /><br /> linux-headers-2.6.27.7-9-default resources needed for compiling are not manifestly ready!<br /><br /> If compiling is necessary packages must be installed, providing:<br />      gcc-4.3 make<br /><br /><br />If a driver compilation fails, with message including some lack of some FileName.h (stdio.h for example), then<br />Some additional kernel-header files need installation to /usr/include. The minimal additional packages are libc6-dev<br />and any of its dependents, under Ubuntu linux-libc-dev<br /><br />If an alternate ethernet connection is available,<br />$  apt-get update<br />$  apt-get -s install linux-kernel-devel<br />will install needed packages.<br />For Debian/Ubuntu related distributions, run the following command to display the needed package list:<br /><br />Otherwise packages have to be found through http://packages.ubuntu.com<br />Once downloaded and transferred into a Linux partition,<br />they can be installed alltogether with:<br />$ sudo dpkg -i *.deb<br /><br /><br />Checking pppd properties:<br />      -rwxr-xr-x 1 root dialout 330764 2008-12-03 09:03 /usr/sbin/pppd<br /><br />In case of an &quot;error 17&quot; &quot;serial loopback&quot; problem, see:<br />    http://linmodems.technion.ac.il/linmodems/archive-sixth/msg02637.html<br /><br />To enable dialout without Root permission do:<br />  $ su - root  (not for Ubuntu)<br />         chmod a+x /usr/sbin/pppd<br />or under Ubuntu related Linuxes<br />  chmod a+x /usr/sbin/pppd<br /><br />Checking settings of:      /etc/ppp/options<br />noipdefault<br />noauth<br />crtscts<br />lock<br />modem<br />asyncmap 0<br />nodetach<br />lcp-echo-interval 30<br />lcp-echo-failure 4<br />lcp-max-configure 60<br />lcp-restart 2<br />idle 600<br />noipx<br />file /etc/ppp/filters<br /><br />In case of a message like:<br />   Warning: Could not modify /etc/ppp/pap-secrets: Permission denied<br />see http://linmodems.technion.ac.il/bigarch/archive-sixth/msg04656.html<br /><br />Read Modem/DOCs/YourSystem.txt concerning other COMM channels: eth0 wlan0 wmaster0<br />Which can interfere with Browser naviagation.<br /><br /> Don&#039;t worry about the following, it is for experts should trouble shooting be necessary.<br />==========================================================<br /><br /> Checking for modem support lines:<br /> --------------------------------------<br />     /device/modem symbolic link:   <br />slmodemd created symbolic link /dev/ttySL0:  <br />     Within /etc/udev/ files:<br />/etc/udev/rules.d/77-network.rules:SUBSYSTEM==&quot;net&quot;, ENV{INTERFACE}==&quot;ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*|ipsec*|tun*|tap*|bond*|br*|vlan*|modem*|dsl*&quot;, GOTO=&quot;skip_ifup&quot;<br />     Within /etc/modprobe.conf files:<br />/etc/modprobe.conf:# Linux ACP modem (Mwave)<br />     Within any ancient /etc/devfs files:<br /><br />     Within ancient kernel 2.4.n /etc/module.conf files:<br /><br />--------- end modem support lines --------
questo è il file scanout.00:03.0:
CLASS=0780<br />NAME=&quot;Communication controller: Intel Corporation 82G33/G31/P35/P31 Express MEI Controller &quot;<br />PCIDEV=8086:29c4<br />SUBSYS=8086:5044<br />IRQ=11<br />HDA=<br />CodecDiagnosed=<br />slamrTest=<br />CodecClass=<br />SLMODEMD_DEVICE=<br />OPTS=<br />Driver=
questo è il file scanout.00:1b.0:
CLASS=0403<br />NAME=&quot;Audio device: Intel Corporation 82801I &quot;<br />PCIDEV=8086:293e<br />SUBSYS=8086:0001<br />IRQ=22<br />HDA=8086:293e<br />SOFT=8086:293e.HDA<br />CodecDiagnosed=<br />slamrTest=<br />CodecClass=<br />SLMODEMD_DEVICE=<br />OPTS=<br />Driver=
questo è il file scanout.07:00.0:
CLASS=0703<br />NAME=&quot;Modem: Motorola SM56 Data Fax Modem &quot;<br />PCIDEV=1057:3052<br />SUBSYS=1057:3020<br />IRQ=21<br />HDA=<br />CodecDiagnosed=<br />slamrTest=<br />CodecClass=<br />IDENT=slamr<br />SLMODEMD_DEVICE=<br />OPTS=<br />Driver=
infine il file DriverCompiling.txt
 A kernel-source packages is not evident on your System
Come suggerito dal file ModemData.txt ho scaricato (da ubuntu che ho installata insieme a suse) slmodem-2.9.11-20080126.tar.gz e ungrab-winmodem-20070505.tar.gz
e ho dato i seguenti comandi:
suse_11.1@linux-exgs:~&gt; ls<br />bin    Downloads    slmodem-2.9.11-20080126.tar.gz<br />Music    Desktop    public_html    ungrab-winmodem-20070505.tar.gz<br />Documents    scanModem    VECCHI<br />suse_11.1@linux-exgs:~&gt; tar xzf slmodem-2.9.11-20080126.tar.gz <br />suse_11.1@linux-exgs:~&gt; tar xzf ungrab-winmodem-20070505.tar.gz <br />suse_11.1@linux-exgs:~&gt; cd slmodem-2.9.11-20080126/<br />suse_11.1@linux-exgs:~/slmodem-2.9.11-20080126&gt; cd drivers/<br />suse_11.1@linux-exgs:~/slmodem-2.9.11-20080126/drivers&gt; make<br />bash: make: command not found<br />suse_11.1@linux-exgs:~/slmodem-2.9.11-20080126/drivers&gt;

qualcuno mi può aiutare?

Grazie mille a tutti. Laughing

Ritratto di Mirko
Mirko
(Guru)
Offline
Guru
Iscritto: 19/12/2005
Messaggi: 1602

Non ho capito a che pro ripartire tutte queste informazioni che non hanno niente a che vedere col tuo problema :-P

In ogni caso
Yast -> Gestione Pacchetti -> cerca e spunta (nella finestra di destra) "kernel-source" -> su "filtro" seleziona "modelli" -> nella lista (nella finestra di sinistra) cerca e spunta "sviluppo di base".

Accetta e attendi la fine dell'installazione.

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Quote:

Mirko ha scritto:
Non ho capito a che pro ripartire tutte queste informazioni che non hanno niente a che vedere col tuo problema :-P

In ogni caso
Yast -> Gestione Pacchetti -> cerca e spunta (nella finestra di destra) "kernel-source" -> su "filtro" seleziona "modelli" -> nella lista (nella finestra di sinistra) cerca e spunta "sviluppo di base".

Accetta e attendi la fine dell'installazione.

vai direttamente sui modelli,

installa il modello "sviluppo di base" come detto, ma anche "sviluppo-kernel" assicurati di selezionare per l'installazione anche kernel-syms

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di Mirko
Mirko
(Guru)
Offline
Guru
Iscritto: 19/12/2005
Messaggi: 1602

Quote:

anubis ha scritto:
Quote:
Mirko ha scritto:
Non ho capito a che pro ripartire tutte queste informazioni che non hanno niente a che vedere col tuo problema :-P

In ogni caso
Yast -> Gestione Pacchetti -> cerca e spunta (nella finestra di destra) "kernel-source" -> su "filtro" seleziona "modelli" -> nella lista (nella finestra di sinistra) cerca e spunta "sviluppo di base".

Accetta e attendi la fine dell'installazione.

vai direttamente sui modelli,

installa il modello "sviluppo di base" come detto, ma anche "sviluppo-kernel" assicurati di selezionare per l'installazione anche kernel-syms

Ma questi altri pacchetti valgono solo per il caso specifico?

@bunker: tranquillo Wink

Ritratto di rim67
rim67
(Junior)
Offline
Junior
Iscritto: 21/01/2009
Messaggi: 10

Quote:

anubis ha scritto:

installa il modello "sviluppo di base" come detto, ma anche "sviluppo-kernel" assicurati di selezionare per l'installazione anche kernel-syms

Volevo precisare che non avendo una connessione internet non posso installare da "Gestione Pacchetti" e che il mio sistema operativo è ancora in inglese (finché non riesco a collegarmi e "italianizzarlo) e quindi non può trovare parole come "sviluppo di base" e "sviluppo-kernel"!
Siccome ho installata anche ubuntu (dalla quale mi posso collegare al web) questi pacchetti li posso in qualche modo trovare in rete o devo per forza installarli da suse?

Quando ho installato ubuntu 8.04 ho avuto problemi con il pacchetto build-essential e avevo risolto cosi:
sudo mv /etc/apt/sources.list /etc/apt/sources.list.old <br />sudo touch /etc/apt/sources.list <br />sudo apt-cdrom add <br />sudo apt-get install build-essential <br />sudo apt-cdrom add sudo aptitude update <br />sudo aptitude install build-essential gcc -v
con questo codice si installa build-essential da cd-rom!

vorrei sapere se si può fare anche da suse, sostituendo "build-essential" con "sviluppo di base", "sviluppo-kernel" e "kernel-syms"?

ciao e grazie ancora.

Ritratto di Mirko
Mirko
(Guru)
Offline
Guru
Iscritto: 19/12/2005
Messaggi: 1602

Tu prova prima di trarre conclusioni Laughing non hanno senso affermazioni come "non posso usare gestione pacchetti senza internet", chi te l'ha detto? Wink

Cambiano solo i nomi dei modelli, quei pacchetti dovrebbero esserci anche sui dvd.

Mi pare però che opensuse 11.1 (forse anche la 11.0) abbia già di default uno o più repository online abilitato. Allora prima di fare questa operazione apri "sorgenti installazione" e rimuovi tutto tranne:

&amp;#65532;   openSUSE 11.1-0<br />URLcd:///?devices=/dev/sr0<br />Categoria: YaST

Ora non so come si traducono in inglese (raramente è una traduzione alla lettera, cioè non è detto che sia "installation source"), ma perché hai installato in inglese? È il cd?

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Quote:

Mirko ha scritto:

Ora non so come si traducono in inglese (raramente è una traduzione alla lettera, cioè non è detto che sia "installation source")

molto + semplicemente è "repositories"

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Quote:

bunker ha scritto:
Quote:
anubis ha scritto:

installa il modello "sviluppo di base" come detto, ma anche "sviluppo-kernel" assicurati di selezionare per l'installazione anche kernel-syms

Volevo precisare che non avendo una connessione internet non posso installare da "Gestione Pacchetti" e che il mio sistema operativo è ancora in inglese (finché non riesco a collegarmi e "italianizzarlo) e quindi non può trovare parole come "sviluppo di base" e "sviluppo-kernel"!
Siccome ho installata anche ubuntu (dalla quale mi posso collegare al web) questi pacchetti li posso in qualche modo trovare in rete o devo per forza installarli da suse?

Quando ho installato ubuntu 8.04 ho avuto problemi con il pacchetto build-essential e avevo risolto cosi:
sudo mv /etc/apt/sources.list /etc/apt/sources.list.old <br />sudo touch /etc/apt/sources.list <br />sudo apt-cdrom add <br />sudo apt-get install build-essential <br />sudo apt-cdrom add sudo aptitude update <br />sudo aptitude install build-essential gcc -v
con questo codice si installa build-essential da cd-rom!

vorrei sapere se si può fare anche da suse, sostituendo "build-essential" con "sviluppo di base", "sviluppo-kernel" e "kernel-syms"?

ciao e grazie ancora.

wow...

abbastanza incasinato eh?

dato che il tuo sistema è ancora in inglese.. evidentemente hai installato da live-cd giusto?

iniziamo, una cosa alla volta...

1) non serve avere connessione a internet per aprire yast.. se questo è impostato ad usare cd/dvd o cartelle locali come repository, internet non serve a nulla Wink

2) non dovrai aprire la shell per installare quei pacchetti.. (ubuntu è per niubbi? bha... cmq..)

3) il live-cd ovviamente fornisce pochissimi pacchetti se paragonato al dvd, ma dovrebbe avere i pacchetti che fanno al caso tuo.. cmq..

per risolvere esattamente quell'errore ti serve installare solo il programma "make" o l'equivalente di "build-essential" che è il modello "sviluppo di base"

se proprio vuoi installarlo da shell digita solo questo comando:

sudo zypper in -t pattern devel_basis

da quello che ho capito, avrai bisogno dei sorgenti del kernel per compilare il driver.. (magari puoi aspettare ad installarlo, nel caso non serve)

se come penso serve, o installi da yast il modello sviluppo kernel o da shell

sudo zypper in -t pattern devel_kernel

per kernel-syms

sudo zypper in kernel-syms

ripeto, puoi fare tutto tranquillamente da yast, tramite interfaccia grafica...

yast --> software --> gestione pacchetti

da filtro, cambia da "cerca" in modelli e installa quelli che ti hanno detto

ma visto che la shell non ti spaventa, ti ho passato qualche imput

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di rim67
rim67
(Junior)
Offline
Junior
Iscritto: 21/01/2009
Messaggi: 10

Quote:

Mirko ha scritto:
Non ho capito a che pro ripartire tutte queste informazioni che non hanno niente a che vedere col tuo problema :-P

Scusa Mirko ma non sapevo che il comando "make" non ha niente a che fare con l'installazione di ungrab e slmodem (come vedi è il mio 2 post) cmq avevo letto le "REGOLE PER POSTARE del Forum" dove si dice di essere il più chiari possibili.
ciao e grazie a te e a anubis Laughing